> ## Documentation Index
> Fetch the complete documentation index at: https://velocity-api-docs.medshift.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List organizations



## OpenAPI

````yaml /openapi.json get /v1/organizations/
openapi: 3.0.3
info:
  title: Velocity for BigCommerce Zapier API
  version: 0.0.1
servers:
  - url: https://{tenant}.api.velocity.medshift.com/integrations/zapier
    variables:
      tenant:
        default: your-subdomain
        description: Your tenant's subdomain.
security: []
paths:
  /v1/organizations/:
    get:
      tags:
        - Organizations
      summary: List organizations
      operationId: v1_organizations_list
      parameters:
        - in: query
          name: contact_email
          schema:
            type: string
        - in: query
          name: contact_first_name
          schema:
            type: string
        - in: query
          name: contact_last_name
          schema:
            type: string
        - in: query
          name: contact_phone
          schema:
            type: string
        - in: query
          name: custom_fields
          schema:
            type: string
        - name: limit
          required: false
          in: query
          description: Number of results to return per page.
          schema:
            type: integer
        - in: query
          name: name
          schema:
            type: string
        - name: offset
          required: false
          in: query
          description: The initial index from which to return the results.
          schema:
            type: integer
        - name: ordering
          required: false
          in: query
          description: Which field to use when ordering the results.
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedOrganizationList'
          description: ''
      security:
        - ZapierAuthentication: []
components:
  schemas:
    PaginatedOrganizationList:
      type: array
      items:
        $ref: '#/components/schemas/Organization'
    Organization:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        name:
          type: string
          minLength: 1
          maxLength: 255
        contact_first_name:
          type: string
          maxLength: 100
        contact_last_name:
          type: string
          maxLength: 100
        contact_email:
          oneOf:
            - type: string
              format: email
            - type: string
              maxLength: 0
        contact_phone:
          type: string
          maxLength: 50
        custom_fields:
          type: array
          items:
            $ref: '#/components/schemas/OrganizationCustomField'
      required:
        - id
        - name
    OrganizationCustomField:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
          readOnly: true
        value:
          nullable: true
      required:
        - id
        - name
        - value
  securitySchemes:
    ZapierAuthentication:
      type: apiKey
      in: header
      name: X-API-Key

````